Bug 98731 - Progress bar is not a good indicator for filesave progress, when there are lots of bookmarks
Summary: Progress bar is not a good indicator for filesave progress, when there are lo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.1.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace, perf
Depends on:
Blocks: Save File-Progress-Bar
  Show dependency treegraph
 
Reported: 2016-03-17 19:00 UTC by Ben
Modified: 2021-04-18 03:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test file (9.12 MB, application/vnd.oasis.opendocument.text)
2016-03-31 22:58 UTC, Ben
Details
First trace (46.34 KB, text/plain)
2017-05-27 12:46 UTC, Buovjaga
Details
Second trace (47.57 KB, text/plain)
2017-05-27 12:47 UTC, Buovjaga
Details
Callgrind output from 5.5 (9.60 MB, application/x-xz)
2017-06-07 17:20 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben 2016-03-17 19:00:47 UTC
On Windows 10, upon saving a large document (500 pages), the progress bar is shown at the bottom of the screen. However, after the progress bar completes, I see the spinner on the screen for about the same it took the progress bar to complete. Hence, the progress bar is not entirely useful for tracking true progress of the filesave action.

See also: https://bugs.documentfoundation.org/show_bug.cgi?id=98664
Comment 1 Buovjaga 2016-03-31 09:56:17 UTC
Not reproduced. Spinner does not hang around afterwards.

Tested by taking the text of Varney the Vampire: http://www.gutenberg.org/cache/epub/14833/pg14833.txt

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 15b53976e5d119877e53f34b34cee33a5f2883fd
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-03-22_23:57:30
Locale: fi-FI (fi_FI)
Comment 2 Ben 2016-03-31 22:34:34 UTC
You can try with the newly attached file. Make a change and save it. You will see that the progress bar initially does not appear, then it appears and completes, and finally it takes a while before you can edit again. If you click in the editor window during the last phase you will see the spinner.
Comment 3 Ben 2016-03-31 22:58:34 UTC
Created attachment 123998 [details]
Test file
Comment 4 Buovjaga 2016-04-04 10:45:51 UTC
Ok, I don't see the spinner, but the menu and buttons stay greyed out for a long time.

Win 7 Pro 64-bit, Version: 5.1.1.3 (x64)
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI)

Version: 5.2.0.0.alpha0+
Build ID: 7a7be32e5265f897174f3880adc061dac0203f1f
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-03-31_07:39:11
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2017-05-22 13:20:02 UTC Comment hidden (obsolete)
Comment 6 Yousuf Philips (jay) (retired) 2017-05-26 20:10:27 UTC
@Meeks: Any thoughts on what is needed to track down the issue? backtrace, valgrind, etc.
Comment 7 Michael Meeks 2017-05-26 21:26:27 UTC
Oh - sure =) it's pretty easy I think; just wait until the period when there is no progress bar updating, stop the app in the debugger and see what the stack frames look like =) it is exactly those stack frames that are not doing the right thing. Resume execution for a second, pause and take another stack trace etc. Thanks!
Comment 8 Buovjaga 2017-05-27 12:46:13 UTC
Created attachment 133641 [details]
First trace

This is done after breaking in Windbg right after the progress bar has completed. Output from
~* kp
!analyze -v -f
Comment 9 Buovjaga 2017-05-27 12:47:46 UTC
Created attachment 133642 [details]
Second trace

This is done after breaking in Windbg after waiting for a few seconds since resuming. Output from
~* kp
!analyze -v -f

Resuming again after this pretty much lead to the interface being responsive gain, so no third trace.

Version: 5.3.3.2 (x64)
Build ID: 3d9a8b4b4e538a85e0782bd6c2d430bafe583448
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: fi-FI (fi_FI); Calc: group
Comment 10 Buovjaga 2017-06-07 17:20:16 UTC
Created attachment 133901 [details]
Callgrind output from 5.5

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: 88d3c067831dac8cf69ebaa079f1d809d727a342
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 7th 2017
Comment 11 QA Administrators 2018-06-17 02:44:33 UTC Comment hidden (obsolete)
Comment 12 Buovjaga 2019-04-18 17:18:43 UTC
Tweaking summary after the analysis and fix for bug 117066
Comment 13 QA Administrators 2021-04-18 03:49:08 UTC
Dear Ben,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug